Bug 90351 - IndexedDB custom bindings missing String type
Summary: IndexedDB custom bindings missing String type
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: George Staikos
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-01 14:22 PDT by George Staikos
Modified: 2012-07-10 21:45 PDT (History)
8 users (show)

See Also:


Attachments
Patch to implement String (1.22 KB, patch)
2012-07-01 14:24 PDT, George Staikos
no flags Details | Formatted Diff | Diff
Patch to implement String (1.20 KB, patch)
2012-07-07 19:12 PDT, George Staikos
zimmermann: review+
zimmermann: commit-queue-
Details | Formatted Diff | Diff
Patch to implement String (1.27 KB, patch)
2012-07-10 18:55 PDT, George Staikos
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description George Staikos 2012-07-01 14:22:39 PDT
JSIDBAnyCustom is missing support for String in the switch.
Comment 1 George Staikos 2012-07-01 14:24:16 PDT
Created attachment 150338 [details]
Patch to implement String
Comment 2 Charles Wei 2012-07-01 19:07:57 PDT
Comment on attachment 150338 [details]
Patch to implement String

LGTM.
Comment 3 Charles Wei 2012-07-01 19:14:13 PDT
Comment on attachment 150338 [details]
Patch to implement String

commit.
Comment 4 WebKit Review Bot 2012-07-01 19:14:52 PDT
Comment on attachment 150338 [details]
Patch to implement String

Rejecting attachment 150338 [details] from review queue.

charles.wei@torchmobile.com.cn does not have reviewer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/committers.py.

- If you do not have reviewer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have reviewer rights please correct the error in Tools/Scripts/webkitpy/common/config/committers.py by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your reviewer rights.
Comment 5 George Staikos 2012-07-05 18:59:12 PDT
Adding some indexeddb gurus for thoughts on this two-line patch :)
Comment 6 George Staikos 2012-07-07 14:51:21 PDT
Can anyone review this?  It's a two line patch.
Comment 7 Nikolas Zimmermann 2012-07-07 15:28:52 PDT
Comment on attachment 150338 [details]
Patch to implement String

Doesn't this need a test? (Or is it untestable at present?)
Comment 8 George Staikos 2012-07-07 15:48:11 PDT
(In reply to comment #7)
> (From update of attachment 150338 [details])
> Doesn't this need a test? (Or is it untestable at present?)

Not sure.  Maybe Charles can comment.  I'd hope the tests already are present.
Comment 9 Joshua Bell 2012-07-07 15:49:36 PDT
Is the stringToUstring call necessary? The JSIDBKeyCustom impl doesn't have it. 

This will be covered by existing IDB key path tests when enabled for a port. IDBAny::StringType was a recent addition and I failed to account for the JSC version when I added it.

Looks good from an IDB perspective.
Comment 10 George Staikos 2012-07-07 19:11:19 PDT
(In reply to comment #9)
> Is the stringToUstring call necessary? The JSIDBKeyCustom impl doesn't have it. 
> 
> This will be covered by existing IDB key path tests when enabled for a port. IDBAny::StringType was a recent addition and I failed to account for the JSC version when I added it.
> 
> Looks good from an IDB perspective.

Seems to be the case.  Updating the patch now.
Comment 11 George Staikos 2012-07-07 19:12:03 PDT
Created attachment 151152 [details]
Patch to implement String
Comment 12 Nikolas Zimmermann 2012-07-08 05:26:18 PDT
Comment on attachment 151152 [details]
Patch to implement String

View in context: https://bugs.webkit.org/attachment.cgi?id=151152&action=review

rs=me, please modify the ChangeLog before landing:

> Source/WebCore/ChangeLog:7
> +

Joshuas explanation should be added to the ChangeLog. It's missing the "why" answers, as discussed recently on webkit-dev.
Just include a line saying that this is covered by existing tests for ports that use JSC and have IndexDB available - at least that's how I understand it.
Comment 13 George Staikos 2012-07-10 18:55:33 PDT
Created attachment 151574 [details]
Patch to implement String
Comment 14 WebKit Review Bot 2012-07-10 21:45:17 PDT
Comment on attachment 151574 [details]
Patch to implement String

Clearing flags on attachment: 151574

Committed r122295: <http://trac.webkit.org/changeset/122295>
Comment 15 WebKit Review Bot 2012-07-10 21:45:23 PDT
All reviewed patches have been landed.  Closing bug.